Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.instrument.classloading.glassfish
Class GlassFishLoadTimeWeaver

    java.lang.Object
      org.springframework.instrument.classloading.glassfish.GlassFishLoadTimeWeaver

All Implemented Interfaces:
  LoadTimeWeaver

    public class GlassFishLoadTimeWeaver

extends Object
implements LoadTimeWeaver

`LoadTimeWeaver` implementation for GlassFish's instrumentable ClassLoader.

Since:
  2.0.1
Author:
  Costin Leau, Juergen Hoeller
See Also:
  `InstrumentableClassLoader`

Constructor Summary
`GlassFishLoadTimeWeaver()`
`GlassFishLoadTimeWeaver(ClassLoader classLoader)`

Method Summary
`void` | `addTransformer(ClassFileTransformer transformer)` Add a class file transformer to be applied by this load-time weaver.
`protected com.sun.enterprise.loader.InstrumentableClassLoader` | `determineClassLoader(ClassLoader classLoader)` Determine the GlassFish InstrumentableClassLoader for the given ClassLoader.
`ClassLoader` | `getInstrumentableClassLoader()` Return a class loader that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`.
`ClassLoader` | `getThrowawayClassLoader()` Return a throwaway class loader, enabling classes to be loaded and inspected without affecting the parent class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlassFishLoadTimeWeaver

    public GlassFishLoadTimeWeaver()

### GlassFishLoadTimeWeaver

    public GlassFishLoadTimeWeaver(ClassLoader classLoader)

Method Detail

### determineClassLoader

    protected com.sun.enterprise.loader.InstrumentableClassLoader determineClassLoader(ClassLoader classLoader)

  Determine the GlassFish InstrumentableClassLoader for the given ClassLoader.

  Parameters:
    `classLoader` - the ClassLoader to check
  Returns:
    the InstrumentableClassLoader, or `null` if none found

### addTransformer

    public void addTransformer(ClassFileTransformer transformer)

  Description copied from interface: `LoadTimeWeaver`
  Add a class file transformer to be applied by this load-time weaver.

  Specified by:
    `addTransformer` in interface `LoadTimeWeaver`
  Parameters:
    `transformer` - the class file transformer to add

### getInstrumentableClassLoader

    public ClassLoader getInstrumentableClassLoader()

  Description copied from interface: `LoadTimeWeaver`
  Return a class loader that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`.

  May be the current class loader, or a class loader created by this `LoadTimeWeaver` instance.

  Specified by:
    `getInstrumentableClassLoader` in interface `LoadTimeWeaver`
  Returns:
    a class loader that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`

### getThrowawayClassLoader

    public ClassLoader getThrowawayClassLoader()

  Description copied from interface: `LoadTimeWeaver`
  Return a throwaway class loader, enabling classes to be loaded and inspected without affecting the parent class loader.

  Should not return the same instance of the `ClassLoader` returned from an invocation of `LoadTimeWeaver.getInstrumentableClassLoader()`.

  Specified by:
    `getThrowawayClassLoader` in interface `LoadTimeWeaver`
  Returns:
    a temporary throwaway class loader; should return a new instance for each call, with no existing state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.